﻿#region License Information
/* HeuristicLab
 * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
  partial class WindowedSymbolView {
    /// <summary> 
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.IContainer components = null;

    /// <summary> 
    /// Clean up any resources being used.
    /// </summary>
    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
    protected override void Dispose(bool disposing) {
      if (disposing && (components != null)) {
        components.Dispose();
      }
      base.Dispose(disposing);
    }

    #region Component Designer generated code

    /// <summary> 
    /// Required method for Designer support - do not modify 
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent() {
      this.initOffsetLabel = new System.Windows.Forms.Label();
      this.initOffsetSigTextBox = new System.Windows.Forms.TextBox();
      this.initializationGroupBox = new System.Windows.Forms.GroupBox();
      this.initLengthMuTextBox = new System.Windows.Forms.TextBox();
      this.initOffsetMuTextBox = new System.Windows.Forms.TextBox();
      this.initLengthLabel = new System.Windows.Forms.Label();
      this.initLengthSigTextBox = new System.Windows.Forms.TextBox();
      this.mutationGroupBox = new System.Windows.Forms.GroupBox();
      this.mutLengthMuTextBox = new System.Windows.Forms.TextBox();
      this.mutOffsetMuTextBox = new System.Windows.Forms.TextBox();
      this.mutLengthLabel = new System.Windows.Forms.Label();
      this.mutLengthSigTextBox = new System.Windows.Forms.TextBox();
      this.mutOffsetLabel = new System.Windows.Forms.Label();
      this.mutOffsetSigTextBox = new System.Windows.Forms.TextBox();
      this.enableWindowedCheckBox = new System.Windows.Forms.CheckBox();
      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
      this.initializationGroupBox.SuspendLayout();
      this.mutationGroupBox.SuspendLayout();
      this.SuspendLayout();
      // 
      // initialFrequencyLabel
      // 
      this.toolTip.SetToolTip(this.initialFrequencyLabel, "Relative frequency of the symbol in randomly created trees");
      // 
      // initialFrequencyTextBox
      // 
      this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.initialFrequencyTextBox.Size = new System.Drawing.Size(280, 26);
      // 
      // minimumArityLabel
      // 
      this.toolTip.SetToolTip(this.minimumArityLabel, "The minimum arity of the symbol");
      // 
      // maximumArityLabel
      // 
      this.toolTip.SetToolTip(this.maximumArityLabel, "The maximum arity of the symbol");
      // 
      // minimumArityTextBox
      // 
      this.errorProvider.SetIconAlignment(this.minimumArityTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.minimumArityTextBox.Size = new System.Drawing.Size(280, 26);
      // 
      // maximumArityTextBox
      // 
      this.errorProvider.SetIconAlignment(this.maximumArityTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.maximumArityTextBox.Size = new System.Drawing.Size(280, 26);
      // 
      // nameTextBox
      // 
      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
      this.nameTextBox.Size = new System.Drawing.Size(280, 26);
      // 
      // infoLabel
      // 
      this.infoLabel.Location = new System.Drawing.Point(379, 3);
      // 
      // initOffsetLabel
      // 
      this.initOffsetLabel.AutoSize = true;
      this.initOffsetLabel.Location = new System.Drawing.Point(6, 22);
      this.initOffsetLabel.Name = "initOffsetLabel";
      this.initOffsetLabel.Size = new System.Drawing.Size(121, 20);
      this.initOffsetLabel.TabIndex = 0;
      this.initOffsetLabel.Text = "Offset (mu, sig):";
      this.toolTip.SetToolTip(this.initOffsetLabel, "The minimal value to use for random initialization of constants.");
      // 
      // initOffsetSigTextBox
      // 
      this.errorProvider.SetIconAlignment(this.initOffsetSigTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.initOffsetSigTextBox.Location = new System.Drawing.Point(268, 19);
      this.initOffsetSigTextBox.Name = "initOffsetSigTextBox";
      this.initOffsetSigTextBox.Size = new System.Drawing.Size(124, 26);
      this.initOffsetSigTextBox.TabIndex = 1;
      this.toolTip.SetToolTip(this.initOffsetSigTextBox, "The minimal value to use for random initialization of constants.");
      this.initOffsetSigTextBox.TextChanged += new System.EventHandler(this.initOffsetSigTextBox_TextChanged);
      // 
      // initializationGroupBox
      // 
      this.initializationGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
      this.initializationGroupBox.Controls.Add(this.initLengthMuTextBox);
      this.initializationGroupBox.Controls.Add(this.initOffsetMuTextBox);
      this.initializationGroupBox.Controls.Add(this.initLengthLabel);
      this.initializationGroupBox.Controls.Add(this.initLengthSigTextBox);
      this.initializationGroupBox.Controls.Add(this.initOffsetLabel);
      this.initializationGroupBox.Controls.Add(this.initOffsetSigTextBox);
      this.initializationGroupBox.Location = new System.Drawing.Point(0, 164);
      this.initializationGroupBox.Name = "initializationGroupBox";
      this.initializationGroupBox.Size = new System.Drawing.Size(398, 84);
      this.initializationGroupBox.TabIndex = 5;
      this.initializationGroupBox.TabStop = false;
      this.initializationGroupBox.Text = "Initialization";
      // 
      // initLengthMuTextBox
      // 
      this.errorProvider.SetIconAlignment(this.initLengthMuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.initLengthMuTextBox.Location = new System.Drawing.Point(138, 45);
      this.initLengthMuTextBox.Name = "initLengthMuTextBox";
      this.initLengthMuTextBox.Size = new System.Drawing.Size(124, 26);
      this.initLengthMuTextBox.TabIndex = 5;
      this.toolTip.SetToolTip(this.initLengthMuTextBox, "The maximal value to use for random initialization of constants.");
      this.initLengthMuTextBox.TextChanged += new System.EventHandler(this.initLengthMuTextBox_TextChanged);
      // 
      // initOffsetMuTextBox
      // 
      this.errorProvider.SetIconAlignment(this.initOffsetMuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.initOffsetMuTextBox.Location = new System.Drawing.Point(138, 19);
      this.initOffsetMuTextBox.Name = "initOffsetMuTextBox";
      this.initOffsetMuTextBox.Size = new System.Drawing.Size(124, 26);
      this.initOffsetMuTextBox.TabIndex = 4;
      this.toolTip.SetToolTip(this.initOffsetMuTextBox, "The minimal value to use for random initialization of constants.");
      this.initOffsetMuTextBox.TextChanged += new System.EventHandler(this.initOffsetMuTextBox_TextChanged);
      // 
      // initLengthLabel
      // 
      this.initLengthLabel.AutoSize = true;
      this.initLengthLabel.Location = new System.Drawing.Point(6, 48);
      this.initLengthLabel.Name = "initLengthLabel";
      this.initLengthLabel.Size = new System.Drawing.Size(127, 20);
      this.initLengthLabel.TabIndex = 2;
      this.initLengthLabel.Text = "Length (mu, sig):";
      this.toolTip.SetToolTip(this.initLengthLabel, "The maximal value to use for random initialization of constants.");
      // 
      // initLengthSigTextBox
      // 
      this.errorProvider.SetIconAlignment(this.initLengthSigTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.initLengthSigTextBox.Location = new System.Drawing.Point(268, 45);
      this.initLengthSigTextBox.Name = "initLengthSigTextBox";
      this.initLengthSigTextBox.Size = new System.Drawing.Size(124, 26);
      this.initLengthSigTextBox.TabIndex = 3;
      this.toolTip.SetToolTip(this.initLengthSigTextBox, "The maximal value to use for random initialization of constants.");
      this.initLengthSigTextBox.TextChanged += new System.EventHandler(this.initLengthSigTextBox_TextChanged);
      // 
      // mutationGroupBox
      // 
      this.mutationGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
      this.mutationGroupBox.Controls.Add(this.mutLengthMuTextBox);
      this.mutationGroupBox.Controls.Add(this.mutOffsetMuTextBox);
      this.mutationGroupBox.Controls.Add(this.mutLengthLabel);
      this.mutationGroupBox.Controls.Add(this.mutLengthSigTextBox);
      this.mutationGroupBox.Controls.Add(this.mutOffsetLabel);
      this.mutationGroupBox.Controls.Add(this.mutOffsetSigTextBox);
      this.mutationGroupBox.Location = new System.Drawing.Point(0, 254);
      this.mutationGroupBox.Name = "mutationGroupBox";
      this.mutationGroupBox.Size = new System.Drawing.Size(398, 82);
      this.mutationGroupBox.TabIndex = 6;
      this.mutationGroupBox.TabStop = false;
      this.mutationGroupBox.Text = "Mutation";
      // 
      // mutLengthMuTextBox
      // 
      this.errorProvider.SetIconAlignment(this.mutLengthMuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.mutLengthMuTextBox.Location = new System.Drawing.Point(138, 45);
      this.mutLengthMuTextBox.Name = "mutLengthMuTextBox";
      this.mutLengthMuTextBox.Size = new System.Drawing.Size(124, 26);
      this.mutLengthMuTextBox.TabIndex = 5;
      this.toolTip.SetToolTip(this.mutLengthMuTextBox, "The sigma (std. dev.) parameter for the normal distribution to use to sample a mu" +
        "ltiplicative change.");
      this.mutLengthMuTextBox.TextChanged += new System.EventHandler(this.mutLengthMuTextBox_TextChanged);
      // 
      // mutOffsetMuTextBox
      // 
      this.errorProvider.SetIconAlignment(this.mutOffsetMuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.mutOffsetMuTextBox.Location = new System.Drawing.Point(138, 19);
      this.mutOffsetMuTextBox.Name = "mutOffsetMuTextBox";
      this.mutOffsetMuTextBox.Size = new System.Drawing.Size(124, 26);
      this.mutOffsetMuTextBox.TabIndex = 4;
      this.toolTip.SetToolTip(this.mutOffsetMuTextBox, "The sigma (std. dev.) parameter for the normal distribution to use to sample an a" +
        "dditive change.");
      this.mutOffsetMuTextBox.TextChanged += new System.EventHandler(this.mutOffsetMuTextBox_TextChanged);
      // 
      // mutLengthLabel
      // 
      this.mutLengthLabel.AutoSize = true;
      this.mutLengthLabel.Location = new System.Drawing.Point(6, 48);
      this.mutLengthLabel.Name = "mutLengthLabel";
      this.mutLengthLabel.Size = new System.Drawing.Size(127, 20);
      this.mutLengthLabel.TabIndex = 2;
      this.mutLengthLabel.Text = "Length (mu, sig):";
      this.toolTip.SetToolTip(this.mutLengthLabel, "The sigma (std. dev.) parameter for the normal distribution to use to sample the " +
        "multiplicative change.");
      // 
      // mutLengthSigTextBox
      // 
      this.errorProvider.SetIconAlignment(this.mutLengthSigTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.mutLengthSigTextBox.Location = new System.Drawing.Point(268, 45);
      this.mutLengthSigTextBox.Name = "mutLengthSigTextBox";
      this.mutLengthSigTextBox.Size = new System.Drawing.Size(124, 26);
      this.mutLengthSigTextBox.TabIndex = 3;
      this.toolTip.SetToolTip(this.mutLengthSigTextBox, "The sigma (std. dev.) parameter for the normal distribution to use to sample a mu" +
        "ltiplicative change.");
      this.mutLengthSigTextBox.TextChanged += new System.EventHandler(this.mutLengthSigTextBox_TextChanged);
      // 
      // mutOffsetLabel
      // 
      this.mutOffsetLabel.AutoSize = true;
      this.mutOffsetLabel.Location = new System.Drawing.Point(6, 22);
      this.mutOffsetLabel.Name = "mutOffsetLabel";
      this.mutOffsetLabel.Size = new System.Drawing.Size(121, 20);
      this.mutOffsetLabel.TabIndex = 0;
      this.mutOffsetLabel.Text = "Offset (mu, sig):";
      this.toolTip.SetToolTip(this.mutOffsetLabel, "The sigma (std. dev.) parameter for the normal distribution to sample the additiv" +
        "e change.");
      // 
      // mutOffsetSigTextBox
      // 
      this.errorProvider.SetIconAlignment(this.mutOffsetSigTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.mutOffsetSigTextBox.Location = new System.Drawing.Point(268, 19);
      this.mutOffsetSigTextBox.Name = "mutOffsetSigTextBox";
      this.mutOffsetSigTextBox.Size = new System.Drawing.Size(124, 26);
      this.mutOffsetSigTextBox.TabIndex = 1;
      this.toolTip.SetToolTip(this.mutOffsetSigTextBox, "The sigma (std. dev.) parameter for the normal distribution to use to sample an a" +
        "dditive change.");
      this.mutOffsetSigTextBox.TextChanged += new System.EventHandler(this.mutOffsetSigTextBox_TextChanged);
      // 
      // enableWindowedCheckBox
      // 
      this.enableWindowedCheckBox.AutoSize = true;
      this.enableWindowedCheckBox.Location = new System.Drawing.Point(3, 134);
      this.enableWindowedCheckBox.Name = "enableWindowedCheckBox";
      this.enableWindowedCheckBox.Size = new System.Drawing.Size(175, 24);
      this.enableWindowedCheckBox.TabIndex = 10;
      this.enableWindowedCheckBox.Text = "Windowing Enabled";
      this.enableWindowedCheckBox.UseVisualStyleBackColor = true;
      this.enableWindowedCheckBox.CheckedChanged += new System.EventHandler(this.enableWindowedCheckBox_CheckedChanged);
      // 
      // WindowedSymbolView
      // 
      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
      this.Controls.Add(this.enableWindowedCheckBox);
      this.Controls.Add(this.mutationGroupBox);
      this.Controls.Add(this.initializationGroupBox);
      this.Name = "WindowedSymbolView";
      this.Size = new System.Drawing.Size(398, 340);
      this.Controls.SetChildIndex(this.enabledCheckBox, 0);
      this.Controls.SetChildIndex(this.maximumArityLabel, 0);
      this.Controls.SetChildIndex(this.maximumArityTextBox, 0);
      this.Controls.SetChildIndex(this.minimumArityLabel, 0);
      this.Controls.SetChildIndex(this.minimumArityTextBox, 0);
      this.Controls.SetChildIndex(this.infoLabel, 0);
      this.Controls.SetChildIndex(this.initializationGroupBox, 0);
      this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
      this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
      this.Controls.SetChildIndex(this.nameLabel, 0);
      this.Controls.SetChildIndex(this.nameTextBox, 0);
      this.Controls.SetChildIndex(this.mutationGroupBox, 0);
      this.Controls.SetChildIndex(this.enableWindowedCheckBox, 0);
      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
      this.initializationGroupBox.ResumeLayout(false);
      this.initializationGroupBox.PerformLayout();
      this.mutationGroupBox.ResumeLayout(false);
      this.mutationGroupBox.PerformLayout();
      this.ResumeLayout(false);
      this.PerformLayout();

    }

    #endregion

    private System.Windows.Forms.Label initOffsetLabel;
    private System.Windows.Forms.TextBox initOffsetSigTextBox;
    protected System.Windows.Forms.GroupBox initializationGroupBox;
    private System.Windows.Forms.Label initLengthLabel;
    private System.Windows.Forms.TextBox initLengthSigTextBox;
    protected System.Windows.Forms.GroupBox mutationGroupBox;
    private System.Windows.Forms.Label mutLengthLabel;
    private System.Windows.Forms.TextBox mutLengthSigTextBox;
    private System.Windows.Forms.Label mutOffsetLabel;
    private System.Windows.Forms.TextBox mutOffsetSigTextBox;
    private System.Windows.Forms.TextBox initLengthMuTextBox;
    private System.Windows.Forms.TextBox initOffsetMuTextBox;
    private System.Windows.Forms.TextBox mutLengthMuTextBox;
    private System.Windows.Forms.TextBox mutOffsetMuTextBox;
    private System.Windows.Forms.CheckBox enableWindowedCheckBox;
  }
}
